/* Style header and nav */
.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    background-color: var(--brand-orange);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    z-index: 1;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 8rem;
}

.navbar .logo img {
    width: 6rem;
    height: auto;
}

.navbar-menu {
    display: none;
}

.navbar-menu {
    background: none;
    border: none;
    color: var(--brand-white);
    font-size: 1.5rem;
    cursor: pointer;
}

.nav-links {
    display: flex;
    list-style: none;
    align-items: center;
}

.nav-links li a {
    text-decoration: none;
    padding: 0.5rem 1rem;
    color: var(--brand-white);
    font-weight: 600;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s ease;
}

.nav-links li a:hover {
    background-color: var(--brand-orange-deep);
    border-radius: 0.25rem;
}

.header-partners {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem 0;
    background-color: var(--background-royal-blue);
    color: var(--brand-white);
}

.header-partners h5 {
    margin-right: 1rem;
    font-weight: 600;
    text-transform: uppercase;
}

.header-partners ul {
    display: flex;
    gap: 0.5rem;
    list-style: none;
}

.header-partners ul li a {
    text-decoration: none;
    color: var(--background-royal-blue);
    background-color: var(--brand-white);
    transition: color 0.3s ease;
    padding: 0.25rem 0.5rem;
    font-size: 0.75rem;
    border-radius: 0.25rem;
    font-weight: 600;
}

/* Style sidebar */
.sidebar.openSidebar {
    transform: translateX(0);
}

.sidebar {
    position: fixed;
    top: 0;
    right: 0;
    height: 100%;
    width: 40%;
    flex-direction: column;
    background-color: var(--brand-orange);
    color: var(--brand-white);
    padding-top: 8rem;
    z-index: 2;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transform: translateX(100%);
    transition: transform 0.4s ease;
}

.sidebar .navbar-menu {
    position: absolute;
    top: 1rem;
    right: 2rem;
}

.sidebar .sidebar-links {
    list-style: none;
    display: flex;
    flex-direction: column;
    justify-content: stretch;
}

.sidebar .sidebar-links li a {
    display: block;
    text-align: center;
    text-decoration: none;
    color: var(--brand-white);
    font-size: 1.25rem;
    transition: background-color 0.3s ease;
    padding: 0.875rem;
    font-weight: 600;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.sidebar .sidebar-links li a:hover {
    background-color: var(--brand-orange-deep);
    border-radius: 0.25rem;
}

.active {
    background-color: var(--brand-orange-deep);
    border-radius: 0.25rem;
}

/* Style main */
.main section {
    display: flex;
    flex-direction: column;
    padding: 8rem 16rem;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 0.25rem;
}

.main section h2 {
    color: var(--brand-orange);
    margin-bottom: 4rem;
    width: max-content;
    border-bottom: 4px solid var(--brand-orange);
    padding-bottom: 0.25rem;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.about-container {
    display: flex;
    justify-content: space-between;
    gap: 2rem;
}

.about-container .about-paragraphs {
    display: flex;
    flex-direction: column;
    justify-content: start;
    gap: 1rem;
    width: 30%;
}

.about-container .about-paragraphs p {
    font-size: 0.875rem;
}

.color-orange {
    color: var(--brand-orange);
}

.about-container .about-img {
    display: flex;
    justify-content: center;
    width: 70%;
}

.about-container .about-img img {
    width: 40rem;
    height: auto;
    border-radius: 0.25rem;
}

#programs {
    background-color: var(--brand-orange);
}

#programs h2 {
    color: var(--brand-white);
    border-color: var(--brand-white);
}

.container-programs {
    display: flex;
    gap: 2rem;
}

.container-programs article {
    display: flex;
    flex: 1;
    flex-direction: column;
    gap: 1rem;
    background-color: var(--brand-white);
    padding: 2rem;
    border-radius: 0.25rem;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.container-programs article a {
    margin-top: auto;
}

.container-programs .programs-header {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.container-programs .programs-header i {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--brand-orange);
    color: var(--brand-white);
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
}

.container-programs article h3 {
    color: var(--brand-orange);
}

.container-programs article p {
    color: var(--brand-orange-deep);
    line-height: 1.5;
    font-size: 0.875rem;
}

.container-contact {
    display: flex;
    justify-content: space-between;
    gap: 2rem;
}

.container-contact .contact-info {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    font-style: normal;
    color: var(--brand-orange);
    width: 40%;
}

.container-contact .contact-info p a {
    color: var(--brand-orange-deep);
    text-decoration: none;
    transition: color 0.3s ease;
}

.container-contact .contact-form {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    padding: 2rem;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    width: 40%;
    border-radius: 0.25rem;
    background-color: transparent;
}

.container-contact .contact-form h3 {
    color: var(--brand-orange);
    margin-bottom: 1rem;
}

.form-btns {
    margin-top: 1rem;
    display: flex;
    gap: 0.5rem;
}

/* Style footer */
.foooter {
    background-color: var(--brand-gray);
    color: var(--brand-white);
    text-align: center;
    padding: 2rem;
}

/* Style back-to-top button */
.back-to-top {
    position: fixed;
    bottom: 2rem;
    right: 0.5rem;
    background-color: var(--brand-orange);
    color: var(--brand-white);
    padding: 0.75rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: 1.25rem;
    transition: opacity 0.4s ease, visibility 0.4s ease;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    opacity: 0;
    visibility: hidden;
}

.back-to-top.show {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
}

.back-to-top:hover {
    background-color: var(--brand-orange-deep);
}

@media screen and (max-width: 1600px) {
    .navbar {
        padding: 1rem 6rem;
    }

    .main section {
        padding: 2rem 6rem;
    }
}

@media screen and (max-width: 1280px) {
    .navbar {
        padding: 1rem 4rem;
    }

    .main section {
        padding: 2rem 4rem;
    }
}

@media screen and (max-width: 1024px) {
    /* Style header and nav */
    .navbar {
        padding: 1rem 2rem;
    }

    .navbar-menu {
        display: block;
    }

    .nav-links {
        display: none;
    }

    /* Style main */
    .main section {
        padding: 2rem;
    }

    .about-container {
        flex-direction: column-reverse;
        align-items: center;
    }

    .about-container .about-paragraphs,
    .about-container .about-img {
        width: 100%;
    }

    .about-container .about-img img {
        max-width: 100%;
        height: auto;
    }

    .container-programs {
        flex-direction: column;
    }

    .container-contact {
        flex-direction: column;
    }

    .container-contact .contact-info,
    .container-contact .contact-form {
        width: 100%;
    }
}